<div class="mt-2">
    <div><span><b>User Management > <i>User</i></b></span></div>
    <jhi-alert></jhi-alert>
    <div class="mt-4">
        <span class="h5" jhiTranslate="userManagement.home.title">Users</span>
        <div class="float-right">
            <button *ngIf="isNollySoftAdmin" class="btn btn-primary mb-2"
                    [routerLink]="['/user-management/admin/create']">
                <span class="fa fa-plus"></span> <span
                jhiTranslate="userManagement.home.createNollysoftAdmin">Create a new Nollysoft admin</span>
            </button>
            <button class="btn btn-primary mb-2" [routerLink]="['/user-management/create']">
                <span class="fa fa-plus"></span>
                <span *ngIf="isNollySoftAdmin" jhiTranslate="userManagement.home.createTenantAdmin">Create a new tenant admin</span>
                <span *ngIf="!isNollySoftAdmin" jhiTranslate="userManagement.home.createLabel">Create a new user</span>
            </button>
        </div>
    </div>
    <div class="table-responsive" *ngIf="users">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
                <th jhiSortBy="firstName"><span jhiTranslate="userManagement.firstName">First Name</span> <span
                    class="fa fa-sort"></span></th>
                <th><span jhiTranslate="userManagement.lastName">Last Name</span></th>
                <th><span jhiTranslate="userManagement.title">Title</span></th>
                <th jhiSortBy="email"><span jhiTranslate="userManagement.email">Email</span> <span
                    class="fa fa-sort"></span></th>
                <th><span jhiTranslate="userManagement.userGroups">User Group</span></th>
                <th jhiSortBy="createdDate"><span jhiTranslate="userManagement.createdDate">Created Date</span> <span
                    class="fa fa-sort"></span></th>
                <th><span jhiTranslate="userManagement.modifiedDate">Modified Date</span></th>
                <th><span jhiTranslate="userManagement.action">Action</span></th>
            </tr>
            </thead>
            <tbody *ngIf="users">
            <tr *ngFor="let user of users; trackBy: trackIdentity">
                <td>{{user.firstName}}</td>
                <td>{{user.lastName}}</td>
                <td>{{user.title}}</td>
                <td>{{user.email}}</td>
                <td>
                    <div *ngFor="let group of user.userGroups">
                        <span class="badge badge-info">{{ group.name }}</span>
                    </div>
                </td>
                <td>{{user.createdDate | date:'dd/MM/yy HH:mm'}}</td>
                <td>{{user.lastModifiedDate | date:'dd/MM/yy HH:mm'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/user-management/view', user.login]"
                                class="btn btn-info btn-sm"  [disabled]="currentAccount.login === user.login">
                            <span class="fa fa-eye"></span>
                        </button>
                        <button (click)="routeToEdit(user)" type="submit" replaceUrl="true"
                                class="btn btn-primary btn-sm" [disabled]="currentAccount.login === user.login">
                            <span class="fa fa-pencil"></span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'user-management/'+ user.login + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm" [disabled]="currentAccount.login === user.login">
                            <span class="fa fa-remove"></span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="pagination-layout" *ngIf="users">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page"
                            (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
